 cvmtsl1.pval = function(cvmstats, m, n)
{
# Purpose: compute the p-values for a set of 
# L1-version 
# Cramer-von Mises test scores, assuming the 
# test scores are computed from a set of pairs
# samples with sizes m and n
# arguments: cvmstats -- a list of test scores
#            m, n -- sample sizes
# output:
#          a set of p-values

  len <- length(cvmstats)
  OutPut = .C("CvMTestPVal", as.integer(m), as.integer(n), 
                    as.double(cvmstats), as.integer(len),
      pvals = double(len))

  return(OutPut$pvals)
}